extern BOOL __internal_drag_and_drop;

void listInsertObjectBefore (NSMutableArray* ls, NSArray* objects, id before);
void listInsertObjectAfter (NSMutableArray* ls, NSArray* objects, id after);
void listStoreOrder(NSArray* ls, NSString* key);
NSMutableArray* listPrepareReorder(NSArray* allitems, NSArray* newitems, NSString* key);

@interface MYDragController : NSObject {
	id lastDropDestination;
	id lastDropObject;
	NSInteger lastDropOperation;
	
	IBOutlet NSWindow* dialogParent;
}

@property (assign) BOOL fileDialogCanChooseDirectories;

- (void) fileURLsAddedFromDialog:(NSArray*) ls;
- (IBAction) addFileFromDialog:(id) sender;
- (IBAction) readFromPasteboard:(id) sender;

@end

