#import "MYURLLink.h"

extern NSMutableDictionary* __internal_drag_and_drop_object;
extern NSString* URLCorePboardType;
extern NSString* URLNCorePboardType;
extern NSString* WebURLsWithTitlesPboardType;
extern NSString* MailTransferPboardType;
extern NSString* iCalEventPboardType;

@interface NSPasteboard (NSPasteboard_ext)
- (id) internalObjectForType:(NSString*) type;
- (void) setInternalObject:(id) obj forType:(NSString*) type;
- (NSArray*) fileList;
- (MYURLLink*) URLLink;
- (void) setFileList:(NSArray*) ls;
- (void) setURLList:(NSArray*) ls;
- (void) setURLLink:(NSURL*) url;
- (NSString*) stringValue;
- (NSImage*) image;
- (void) setImage:(NSImage*) img;
- (NSAttributedString*) attributedString;
- (void) setAttributedString:(NSAttributedString*) txt;
- (NSImage*) thumbnail;
- (void) dumpContent;
@end

